LibreOffice: XConsolidatable Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XConsolidatable Interface Referencepublished

provides methods to consolidate ranges in a spreadsheet document. More...

`import "XConsolidatable.idl";`

Inheritance diagram for XConsolidatable:

## Public Member Functions
com::sun::star::sheet::XConsolidationDescriptor | createConsolidationDescriptor ([in] boolean bEmpty)
| creates a consolidation descriptor.
void | consolidate ([in] com::sun::star::sheet::XConsolidationDescriptor xDescriptor)
| consolidates data from several cell ranges, using the settings in the passed descriptor.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to consolidate ranges in a spreadsheet document.

Consolidation combines the cells of multiple cell ranges, using a specific function.

Deprecated

Developers Guide
  Spreadsheet Documents - Other Table Operations - Data Consolidation

## Member Function Documentation

## ◆ consolidate()

void consolidate | ( | [in] com::sun::star::sheet::XConsolidationDescriptor | xDescriptor | ) |

consolidates data from several cell ranges, using the settings in the passed descriptor.

Parameters

  xDescriptor | the descriptor used to perform the consolidation.

See also
  com::sun::star::sheet::ConsolidationDescriptor

## ◆ createConsolidationDescriptor()

com::sun::star::sheet::XConsolidationDescriptor createConsolidationDescriptor | ( | [in] boolean | bEmpty | ) |

creates a consolidation descriptor.

Parameters

  bEmpty | TRUE leaves the descriptor empty, FALSE fills it with the settings from the last consolidation action.

See also
  com::sun::star::sheet::ConsolidationDescriptor

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XConsolidatable.idl